@import url('https://fonts.googleapis.com/css2?family=Outfit:wght@100..900&display=swap');

*,
*::before,
*::after {
    margin: 0;
    padding:0 ;
    box-sizing: border-box;
}

body {
    margin:0;
    font-family : "Outfit", sans-serif;
    background-color: #bed0f4;
    display: grid;
    background-image: linear-gradient(90deg, #80808035 1px, transparent 1px), linear-gradient(180deg, #80808035 1px , transparent 1px);
    background-size: 30px 30px;
    background-position: center;
    grid-template-columns: [full-width-start] minmax(1rem,1fr) [content-start] minmax(0,calc(100% - 2rem)) [content-end] minmax(1rem,1fr) [full-width-end];
}

.content {
    grid-column: content-start / content-end;
}

.full-width {
    grid-column: full-width-start / full-width-end;
}

.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-top: 1.5rem;
    margin-bottom: 1.5rem;
    padding: 2rem 1.5rem;
    height: 40px;
    top: 0;
    border: 2px solid #000;
    box-shadow: 4px 4px 0 #000;
    border-radius: 30px;
    position: sticky;
    background-color: #9fe0ff;
    z-index: 1000;
}

.nav-left .logo {
    height: 120px;
}

.nav-left .logo img{
    object-fit: contain;
    max-height: 100%;
}

.nav-right {
    display: flex;
    align-items: center;
    gap: 1.5rem;
} 

a {
    text-decoration: none;
    font-weight: 600;
    color: #000;
}

a:hover {
    text-decoration: underline;
}

.btn-touch {
    background-color: #3da9fc;
    border: 3px solid #000;
    padding: 0.46rem 1rem;
    font-weight: bold;
    border-radius: 8px;
    box-shadow: 2px 5px 0 #000;
    text-decoration: none;
    color: #000;
    transform: translateY(-2px);
    transition: transform 0.2s ease-out, box-shadow 0.2s ease-out;
}

.btn-touch:hover {
    box-shadow: 0 0 0 #000;
    transform: translateY(2px);
}

.btn-touch:active {
    box-shadow: 0 2px 0 #000;
    transform: translateY(1px);
}

/* Well Well Vanilla Css Entered the chat! */

.btn-dropdown {
    background-color: #3da9fc;
    border: 3px solid black;
    padding: 0.5rem 1rem;
    font-weight: bold;
    text-decoration: none;
    color: black;
    border-radius: 8px;
    box-shadow: 2px 5px 0 black;
    transform: translateY(-2px);
    transition: transform 0.2s ease-out, box-shadow 0.2s ease-out;
}

.dropdown a{
    display: block;
    color: black;
    text-decoration: none;
    padding: 0.25rem;
}

.dropdown-content {
    display: none;
    position: absolute;
    background-color: #9fe0ff;
    min-width: 200px;
    border: 4px solid black;
    border-radius: 8px;
    top: calc(100% + 2px);
    right: 0;
    box-shadow: 4px 4px 0 black;
    font-weight: bold;
    z-index: 1;

}

.dropdown-content a:hover {
    background-color: #7EB2DD;
    border-radius: 8px;
}

.dropdown-content a:active {
    box-shadow: 0 0 0 #666;
    transform: translateY(2px); /*Made the dropdown texts twerk, my life has peaked atp lol*/
}

.dropdown:hover .dropdown-content {
    display: block;
}

.btn-dropdown:hover {
    box-shadow: 0 0 0 #666;
    transform: translateY(2px);
}

.dropdown{
    display: inline-block;
    position:  relative;
}

.hero {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    justify-content: center;
    align-items: center;
}

.hero-image {
    height: 175px;
    width: 115px;
}

.hero-image img {
    max-width: 100%;
    border: 3px solid #000;
    box-shadow: 4px 4px 0 #000;
}

.hero-typewriter {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 0.2rem;
    margin-bottom:20px;
}

.hero-typewriter p {
    text-align: center;
}



.hero-typewriter-text {
    font-size: 2rem;
    min-height: 35px;
    color: #3da9fc;
}

.hero-typewriter-text::after {
    content: '!';
    animation: blink 1s infinite;
}
@keyframes blink {
    0% , 50%, 100% {opacity: 1;}
    25%,75% {opacity: 0;}
}

.hero-icons i {
    font-size: 2rem;
    transition: color 0.1s ease;
}

.hero-icons i:hover {
    color: #3da9fc;
    scale: calc(1.2);
}

.hero-button {
    background-color: #3da9fc;
    flex-grow: 1;
    border: 1px solid black;
    border-radius: 10px;
    padding: 0.5rem 1rem;
    box-shadow: 4px 4px 0 black;
    font-weight: 600;
    text-align: center;
    text-decoration: none;
    color: #000;
    transition: all 0.1s;
}

.hero-button:hover {
    transform: translate(4px , 4px );
    box-shadow: none;
    cursor: pointer;
}

.desktop-br {
    display: none;
}

.mobile-only {
    display: inline;
}

.pc-only {
    display: none;
}

.mobile-menu {
    display: inline;
}

.pc-menu {
    display: none;
}

@media (min-width: 1050px) {
 .hero {
    display: flex;
    flex-direction: row-reverse;
    justify-content: space-evenly;
    padding-bottom: 30px;
    padding-top: 30px;
    padding-left: 100px;
    padding-right: 100px;
 }

 .hero-typewriter {
    display: flex;
    flex-direction: column;
    justify-content: left;
    align-items: flex-start;
    gap: .5rem;
 }

 /* .hero-typewriter-text {

 } */

 .hero-tagline {
    font-size: 3.5rem;
 }

 .hero-typewriter p {
    text-align: left;
    font-size: 1.2rem;
 }

 .hero-image {
    height: 400px;
    width: 250px;
    margin-bottom: 20px;
 }

 .hero-icons i {
    font-size: 2.5rem;
    margin-right: .2rem;
 }

 .desktop-br {
    display: inline;
 }

 .mobile-only {
    display: none;
 }

 .pc-only {
    display: inline;
 }

 .mobile-menu {
    display: none;
 }

 .pc-menu {
    display: inline;
 }
}

.carousel {
    border-top: 2px solid #000;
    border-bottom: 2px solid #000;
    min-height: 60px;
    background-color: #9fe0ff;
}

.slider {
    margin-top: 5px;
    margin-bottom: 5px;
    height: var(--height);
    overflow: hidden;
}

.slider .list {
    display: grid;
    grid-template-columns: repeat(var(--quantity), var(--width));
    gap: 8rem;
    width: 100%;
    position: relative;
    animation: autoRunList 20s linear infinite;
}

.slider .item {
    width: var(--width);
    height: var(--height);
    display: flex;
    align-items: center;
    justify-content: center;
}

.slider .item svg {
    width: 100%;
    height: 100%;
}

.slider .item svg path {
    fill: #000;
    transition: fill 0.2s ease-in-out;
}

.slider .item:hover svg path {
    fill: #3da9fc;
}

@keyframes autoRunList {
    0% {
        transform: translateX(-100%);
    }
    100% {
        transform: translateX(100vw);
    }
}

.slider:hover .item {
    animation-play-state: paused!important;
}

.slider .item:hover {
    transform: scale(1.2);
    transition: transform 0.5s cubic-bezier(0.25 , 1.5, .5,1);
}

.projects {
    display: flex;
    margin-top: 20px;
    margin-bottom: 20px;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: #bfd6ec;
}

.projects-header {
    border: 2px solid #000;
    padding: 2rem 1.5rem;
    flex-grow: 1;
    align-self: stretch;
    box-shadow: 4px 4px 0 #000;
    background-color: #9fe0ff;
}

.projects-card-wrapper {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

@media (min-width: 1051px) {
    .projects-card-wrapper 
    {
        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: center;
        align-items: stretch;
        gap: 1rem;
    }
}

.projects-card {
    border: 2px solid #000;
    border-radius: 20px;
    background: #9fe0ff;
    padding: 1.5rem;
    display: flex;
    flex-direction: column;
    max-width: 480px;
    box-shadow: 4px 4px 0 #000;
    gap: 2rem;
    margin-top: 30px;
    margin-bottom: 30px;
}

.projects-card img {
    border: 3px solid #000;
    border-radius: 10px;
    display: block;
    width: 100%;
}

.project-card-text {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.project-card-info {
    display: flex;
    flex-direction: row;
    gap: 0.5rem;
}

.project-card-info .info-card {
    border: 3px solid #000;
    padding: 6px;
    box-shadow: 2px 2px 0 #000;
    background-color: yellow;
}

.project-card-info .info-card p {
    font-weight: 600;
}

.project-card-actions {
    display: flex;
    gap: 1rem;
}

.btn {
    border: 2px solid #000;
    flex-grow: 1;
    border-radius: 10px;
    box-shadow: 4px 4px 0 #000;
    padding: 0.5rem 1rem;
    font-weight: 600;
    text-align: center;
    text-decoration: none;
    color: #000;
    transition: all 0.1s;
}

.btn:hover {
    transform: translate(4px,4px);
    box-shadow: none;
}

.btn-data {
    background-color: #637CFF;
}

.btn-code {
    background-color: #73FFA3;
}

.btn-site {
    background-color: #F078CC;
}

.contact-form {
    display: flex;
    flex-direction: column;
    background-color: #bfd6ec;
}

.contact-title {
    border: 3px solid #000;
    padding: 2rem 1.4rem;
    flex-grow: 1;
    align-self: stretch;
    box-shadow: 4px 4px 0 #000;
    background-color: #9fe0ff;
}

.contact-card {
    border: 3px solid #000;
    border-radius: 20px;
    background: #9fe0ff;
    padding: 1.5rem;
    display: flex;
    flex-direction: column;
    box-shadow: 4px 4px 0 #000;
    margin-top: 20px;
    margin-bottom: 20px;
    gap: 1.5rem;
}

.contact-card p {
    margin: 0;
    line-height: 1.5;
    font-weight: bold;
}

.primary-links {
    display: flex;
    gap: .5rem;
    flex-wrap: wrap;
}

.primary-links a {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    gap: .25rem;
    min-width: 80px;
    min-height: 30px;
    border: 2px solid #000;
    border-radius: 10px;
    padding: .5rem 1rem;
    box-shadow: 4px 4px 0 #000;
    font-weight: 600;
    text-decoration: none;
    color: #000;
    transition: all 0.2s ease-in-out;
}

.primary-links a:hover {
    transform: translate(4px,4px);
    box-shadow: none;
}

.btn-github {
    background-color: #f0f0f0;
}

.btn-github i{
    width: 16px;
    height: 16px;
}

.btn-linkedin {
    background-color: #0A66C2;
    color: #fff;
}

.btn-email {
    background-color: #ffeb3b;
}

.footer {
    display: flex;
    flex-direction: column;
    margin-top: 2rem;
    
    padding: 15px;
    background-color: #bfd6ec;
}

.footer-top {
    display: flex;
    justify-content: space-between;
}

.footer-links h4{
    font-size: 16px;
    text-transform: uppercase;
    letter-spacing: 1px;
    color: #000;
    margin-top: 0;
    margin-bottom: 20px;
}

.footer-links ul {
    margin: 0;
    padding: 0;
    list-style: none;
}

.footer-links ul li{
    margin-bottom: 10px;
}

.footer-links ul li a {
    text-decoration: none;
    color: #000;
    transition: color 0.3s ease;
    margin-right: 5px;
}

.footer-links a:hover {
    color: #00aaff; 
}

.contact-icons {
    display: flex;
    justify-content: space-between;
}

.contact-icons a {
    color:000;
    font-size: 24px;
    margin-left: 0;
    transition: color 0.3s ease;
}

.contact-icons a:hover {
    color: #00aaff;
}

.footer-separator {
    background-color: #000;
    border: none;
    height: 2px;
    border-radius: 50px;
    margin-top: 16px;
    margin-bottom: 16px;
}

.footer-bottom {
    display: flex;
    justify-content: space-between;
}

.footer-tag {
    background-color: #000;
    color: #ffff;
    padding: 2px;
}